; this program illustrates the syntax and features of the RASM31E assembler
; 


value equ 1                    ; an EQU pseudo-op to define constant "value".

      org 8000h                ; set origin to 8000h. Run this program...
                               ; ...starting at this address.

      anl  a, oNe              ; the assembler is case insensitive.  The...
                               ; ...constant "one" is defined in the ...
                               ; ...include file "rDemo1.inc.
l2:
      mov  b, a                ; move contents of accumulator into b register
      mov  65h, a              ; move contents of accumulator register 65h
l3:
      mov  dptr, #1234h        ; move constant 1234h into data pointer
      mov  psw, #0             ; move constant 0 into Program Status Word...
                               ; ...this selects Register Bank 0  as the...
                               ;... active register bank.

; A simple loop is executed next.   The accumulator is cleared and the Carry
; bit is set (made 1).  Register R1 is used as a loop counter, set equal to 3.
; The loop (executed 3 times) rotates the accumulator with the Carry Flag to
; the left.

      mov  r1, #3
      clr  a
      setb C
l4:
      rlc  a;
      djnz r1, l4       ; repeat 3 times

; -------- loop ends here --------


      mov a, #value            ; put 1 in accumulator
      mov a, high(value*100h)  ; put high byte of 100h in acculmulator (=1)
      mov b, low(value)        ; put low byte of 1 in accumulator (=1)
      mov b, #low(value*100h)  ; put low byte of 100h in accumulator (=0)
l1:
      mov a, (five/two)-one+two+three+four+(((five)+five)+five) ; acc = 25 = 19h

#include rDemo1.inc            ; error here -- name should be Demo1.inc
; end of file

